WinNT.GROUP_RELATIONSHIP (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: GROUP_RELATIONSHIP

Package com.sun.jna.platform.win32

# Class WinNT.GROUP_RELATIONSHIP

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX
com.sun.jna.platform.win32.WinNT.GROUP_RELATIONSHIP

Enclosing interface:
  WinNT

@FieldOrder({"maximumGroupCount","activeGroupCount","reserved","groupInfo"}) public static class WinNT.GROUP_RELATIONSHIP extends WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX
Represents information about processor groups.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `activeGroupCount`
  The number of active groups on the system.
  `WinNT.PROCESSOR_GROUP_INFO[]`
  `groupInfo`
  An array of `WinNT.PROCESSOR_GROUP_INFO` structures.
  `short`
  `maximumGroupCount`
  The maximum number of processor groups on the system.
  `byte[]`
  `reserved`
  This member is reserved.

  ### Fields inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

  `relationship, size`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GROUP_RELATIONSHIP()`
  `GROUP_RELATIONSHIP(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

  `fromPointer`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### maximumGroupCount

    public short maximumGroupCount
    The maximum number of processor groups on the system.

  - ### activeGroupCount

    public short activeGroupCount
    The number of active groups on the system. This member indicates the number of `WinNT.PROCESSOR_GROUP_INFO` structures in the GroupInfo array.

  - ### reserved

    public byte[] reserved
    This member is reserved.

  - ### groupInfo

    public WinNT.PROCESSOR_GROUP_INFO[] groupInfo
    An array of `WinNT.PROCESSOR_GROUP_INFO` structures. The `activeGroupCount` member specifies the number of structures in the array. Each structure in the array specifies the number and affinity of processors in an active group on the system.

- ## Constructor Details

  - ### GROUP_RELATIONSHIP

    public GROUP_RELATIONSHIP()

  - ### GROUP_RELATIONSHIP

    public GROUP_RELATIONSHIP(Pointer memory)

- ## Method Details

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`